Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 369071 (CVE-2011-1938)

Summary: <dev-lang/php-5.3.8: Stack Overflow Vulnerability in socket_connect() (CVE-2011-1938)
Product: Gentoo Security Reporter: Tim Sammut (RETIRED) <underling>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: critical CC: ago, alexanderyt, hollow, php-bugs
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: http://svn.php.net/viewvc?view=revision&revision=311369
Whiteboard: A1 [glsa]
Package list:
Runtime testing required: ---

Description Tim Sammut (RETIRED) gentoo-dev 2011-05-28 18:31:51 UTC
There is a stack overflow in socket_connect(). Upstream commit at $URL.
Comment 1 GLSAMaker/CVETool Bot gentoo-dev 2011-06-13 23:27:00 UTC
CVE-2011-1938 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2011-1938):
  Stack-based buffer overflow in the socket_connect function in
  ext/sockets/sockets.c in PHP 5.3.3 through 5.3.6 might allow
  context-dependent attackers to execute arbitrary code via a long pathname
  for a UNIX socket.
Comment 2 Agostino Sarubbo gentoo-dev 2011-09-13 22:08:35 UTC
I checked manually php-5.3.8 sources, and the commit at $URL seems applied.

=dev-lang/php-5.3.8 is stable on all arches.

So, as per A1 one of you can add glsa request.
Comment 3 Tim Sammut (RETIRED) gentoo-dev 2011-09-19 19:00:55 UTC
Thanks, everyone. Added to existing GLSA request.
Comment 4 Tobias Heinlein (RETIRED) gentoo-dev 2011-10-10 20:45:24 UTC
This issue was resolved and addressed in
 GLSA 201110-06 at http://security.gentoo.org/glsa/glsa-201110-06.xml
by GLSA coordinator Tobias Heinlein (keytoaster).